<template>
  <div
    class="container-xxl"
  >
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de publicación
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-primary ms-5"
                @click="onPublicacionListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar ref="tablaPublicacionListar" />
      </div>
    </div>
  </div>
</template>
<script>
import TablaListar from "@/components/panel/venta/TablaVentaListar";

export default {
  name: 'VentaListar',
  components: {
    TablaListar
  },
  data() {
    return {
      sVenta: {},
    }
  },
  methods: {
    onPublicacionListar() {
      this.$refs.tablaPublicacionListar.onPublicacionListar();
    },
  }

}
</script>